<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
  <!--
    AUTOSAR Port_TI_TMS570LSx plugin
    Project: TMS570LSx MCAL Drivers

    Copyright 2014 by Texas Instruments, Inc.
    All rights exclusively reserved for Texas Instruments Inc,
    unless expressly agreed to otherwise.
  -->
<plugin>
    <extension point="dreisoft.tresos.launcher2.plugin.module"
             id="Port_TI_TMS570LSx_ModuleId"
             name="Port_TI_TMS570LSx Module">

    <module id="Port_TI_TMS570LSx"
            label="Port"
            mandatory="false"
            allowMultiple="false"
            description="TMS570LSx Port plug-in"
            copyright="(c) 2016 Texas Instruments Incorporated"
            swVersionMajor="5"
            swVersionMinor="30"
            swVersionPatch="0"
            swVersionSuffix=""
            specVersionMajor="3"
            specVersionMinor="2"
            specVersionPatch="0"
            specVersionSuffix=""
            relVersionPrefix="AUTOSAR"
            relVersionMajor="4"
            relVersionMinor="0"
            relVersionPatch="3"
            relVersionSuffix="0"
            categoryType="Port"
            categoryLayer="I/O Drivers"
            categoryCategory="PORT"
            categoryComponent="ECUC">
      <ecuType target="ARM" derivate="TMS570LSx"/>
    </module>
  </extension>

    <extension point="dreisoft.tresos.launcher2.plugin.configuration"
             id="Port_TI_TMS570LSx_ConfigId"
             name="Port_TI_TMS570LSx Configuration">
    <configuration moduleId="Port_TI_TMS570LSx">
      <schema>
        <manager class="dreisoft.tresos.autosar2.resourcehandling.AutosarSchemaManager"/>
        <resource value="config/Port.xdm" type="xdm" id="res_default"/>


  	    <resource value="config_ext/Port_LS1x_Rec.xdm" type="xdm" id="TMS570LS1x_recconf"/>
		<recconfig name="Default TMS570LS1x Recommended Configuration"
                   default="true"
                   description="Default TMS570LS1x Recommended Configuration"
                   resourceId="TMS570LS1x_recconf"
                   path="ASPath:/TI_TMS570LSx/Port_LS1x_Rec"/>

		<resource value="config_ext/Port_LS09x07x_Rec.xdm" type="xdm" id="TMS570LS09x07x_recconf"/>
		<recconfig name="Default TMS570LS09x07x Recommended Configuration"
                   default="false"
                   description="Default TMS570LS09x07x Recommended Configuration"
                   resourceId="TMS570LS09x07x_recconf"
           		   path="ASPath:/TI_TMS570LSx/Port_LS09x07x_Rec"/>	   
				   
		<resource value="config_ext/Port_LS3x2x_Rec.xdm" type="xdm" id="TMS570LS3x2x_recconf"/>
		<recconfig name="Default TMS570LS3x2x Recommended Configuration"
                   default="false"
                   description="Default TMS570LS3x2x Recommended Configuration"
                   resourceId="TMS570LS3x2x_recconf"
           		   path="ASPath:/TI_TMS570LSx/Port_LS3x2x_Rec"/>	   
      </schema>

      <data>
        <manager class="dreisoft.tresos.autosar2.resourcehandling.AutosarConfigManager"/>
        <schemaNode path="ASPath:/TI_TMS570LSx/Port"/>
      </data>

      <editor id="Port_TI_TMS570LSx_EditorId"
              label="Default"
              tooltip="TMS570LSx Port plug-in">
        <class class="dreisoft.tresos.launcher2.editor.GenericConfigEditor">
          <parameter name="schema" value="ASPath:/TI_TMS570LSx/Port"/>
          <parameter name="title" value="Port"/>
          <parameter name="noTabs" value="false"/>
          <parameter name="noLinks" value="true"/>
          <parameter name="groupLinks" value="false"/>
          <parameter name="groupContainers" value="false"/>
          <parameter name="groupTables" value="true"/>
          <parameter name="optionalGeneralTab" value="true"/>
        </class>
      </editor>
    </configuration>
  </extension>
  <extension point="dreisoft.tresos.launcher2.plugin.generator"
              id="Port_TI_TMS570LSx_GeneratorId"
              name="Port_TI_TMS570LSx Generator">
    <generator moduleId="Port_TI_TMS570LSx"
               class="dreisoft.tresos.launcher2.generator.TemplateBasedCodeGenerator">

      <!-- common template path parameters -->
      <parameter name="templates"
                 mode="generate,verify" value="generate"/>

    </generator>
  </extension>


  <extension point="org.eclipse.help.toc">
    <toc file="anchors.xml" primary="true"/>
  </extension>

</plugin>

